Skip to main content
PUT
/
material
Update EPD
curl --request PUT \
  --url https://api.realtimelca.com/epd/api/material \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "materials": [
    {
      "internalId": "c3cc340f-01ad-4149-9d7b-111ea48700be",
      "internalVersionNumber": 1,
      "tenantId": "2",
      "isPublic": true,
      "isCustom": false,
      "isConstruction": false,
      "tags": [
        "Zink"
      ],
      "lciaResultCompleteness": 1,
      "basedOnMaterialIds": [],
      "epdInfo": {
        "epdSpecificationForm": 0,
        "epdProductIndustryType": 2,
        "validTo": "2023-01-01T00:00:00.0000000",
        "epdVersion": "1.0",
        "publicationDate": "2022-05-22T00:00:00.0000000",
        "fileEntityId": "00000000-0000-0000-0000-000000000000",
        "declarationOwnerId": "00000000-0000-0000-0000-000000000000",
        "datasourceId": "cf1bca75-0e00-40f1-8666-a72e6b501e07",
        "declarationNumber": "",
        "link": "https://www.retsinformation.dk/eli/lta/2022/1464"
      },
      "lciaResults": [
        {
          "moduleTypeEnum": 0,
          "moduleStatusEnum": 2,
          "indicators": [
            {
              "type": 0,
              "unit": "",
              "originalIdentifier": "gwp",
              "value": 2.09
            }
          ]
        },
        {
          "moduleTypeEnum": 15,
          "moduleStatusEnum": 2,
          "indicators": [
            {
              "type": 0,
              "unit": "",
              "originalIdentifier": "gwp",
              "value": 0
            }
          ]
        },
        {
          "moduleTypeEnum": 16,
          "moduleStatusEnum": 2,
          "indicators": [
            {
              "type": 0,
              "unit": "",
              "originalIdentifier": "gwp",
              "value": 0.00068207
            }
          ]
        },
        {
          "moduleTypeEnum": 17,
          "moduleStatusEnum": 2,
          "indicators": [
            {
              "type": 0,
              "unit": "",
              "originalIdentifier": "gwp",
              "value": -1.81062
            }
          ]
        },
        {
          "moduleTypeEnum": 1,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 2,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 3,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 4,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 5,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 6,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 7,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 8,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 9,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 10,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 11,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 12,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 13,
          "moduleStatusEnum": 1,
          "indicators": []
        },
        {
          "moduleTypeEnum": 14,
          "moduleStatusEnum": 1,
          "indicators": []
        }
      ],
      "declaredUnit": {
        "declaredUnit": 1,
        "declaredValue": 1,
        "mass": 7200,
        "massUnit": 2
      },
      "expectedLifespan": 0,
      "name": "Zink, patineret",
      "description": "Generic environmental data published in the Danish Building Code January 2023 - Tabel 7, with the following ID: #G0015",
      "datasourceName": "Tabel7",
      "declarationOwnerName": "Tabel 7",
      "newestVersion": true,
      "id": "0e62c058-a6e0-4c25-a1eb-13647aef66c5",
      "createdAt": "2023-04-19T12:05:40.0244540+02:00"
    }
  ]
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
materials
object[]

Response

default

Response schema not yet documented in the upstream Postman spec.